<?php

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
if (!defined('PRELOAD_ID')) {
	define('PRELOAD_ID',       basename(dirname(__FILE__)));
}


class Preload_maintain extends PluginMaintain
{
  private $installed = false;

  private $default_conf = array(
    'imageCount' => 1,
  );

  function __construct($plugin_id)
  {
    parent::__construct($plugin_id);
  }

  function install($plugin_version, &$errors=array())
  {
    global $conf;

    if (empty($conf[PRELOAD_ID]))
    {
      $conf[PRELOAD_ID] = serialize($this->default_conf);
      conf_update_param(PRELOAD_ID, $conf[PRELOAD_ID]);
    }
    else
    {
      $new_conf = is_string($conf[PRELOAD_ID]) ? unserialize($conf[PRELOAD_ID]) : $conf[PRELOAD_ID];

      $conf[PRELOAD_ID] = serialize($new_conf);
      conf_update_param(PRELOAD_ID, $conf[PRELOAD_ID]);
    }
    
    $this->installed = true;
  }

  function activate($plugin_version, &$errors=array())
  {
    if (!$this->installed)
    {
      $this->install($plugin_version, $errors);
    }
  }

  function deactivate()
  {
  }

  function uninstall()
  {
    conf_delete_param(PRELOAD_ID);
  }
}

?>
